Bug 136520 - Text/background Color Palettes can no longer be torn off
Summary: Text/background Color Palettes can no longer be torn off
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.0.0.3 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.1.0 target:7.0.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Color-Picker-Widget
  Show dependency treegraph
 
Reported: 2020-09-06 16:23 UTC by Warren
Modified: 2020-09-30 10:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Warren 2020-09-06 16:23:58 UTC
Description:
On the formatting toolbar can no longer tear-off the background color & text color drop-down palettes to the desktop. Had this same problem on V5.3.

Steps to Reproduce:
1.On the formatting toolbar, select the text color or background color drop-down.
2.Cannot drag the palette to the desktop.


Actual Results:
Cannot place color palette on document desktop.

Expected Results:
To place the color palettes on the desktop for frequent use/changing colors.


Reproducible: Always


User Profile Reset: No



Additional Info:
We had this same issue on v5.3 as well.
Comment 1 Buovjaga 2020-09-13 15:18:11 UTC
Bibisected with Linux 7.0 repo to https://git.libreoffice.org/core/commit/a164b140221d76cb3b0933d24846de4e1c8780ea
use welded color window in unwelded toolbars

Adding Cc: to Caolán McNamara

It is true that in 5.3 the palette disappeared after having been torn off, but this was later fixed.
Comment 2 Caolán McNamara 2020-09-29 14:12:45 UTC
Its still possible to support this for the dropdowns from the vcl toolbars so I'll restore that possibility.

But its probably worth noting that tearable menus have gone out of fashion in some toolkits (https://developer.gnome.org/gtk3/stable/GtkTearoffMenuItem.html) and aren't supported under our gtk version when on wayland so they might not be around for ever.
Comment 3 Commit Notification 2020-09-29 16:14:29 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/663ce5d0f89e9523183ed9ca4cbfcdacf9df4cc8

tdf#136520 allow color popdowns to be tearable again

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2020-09-29 16:39:54 UTC
also backport to 7-0 in gerrit
Comment 5 Commit Notification 2020-09-30 02:31:50 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/48f27cbca68c2e00c081ed240b6dd0851ab85458

tdf#136520 allow color popdowns to be tearable again

It will be available in 7.0.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Buovjaga 2020-09-30 10:50:48 UTC
Verified to work with all the backends, thanks.

Annoying to hear about the deprecation. Kind of forces to rethink the whole thing.

Arch Linux 64-bit
Version: 7.1.0.0.alpha0+
Build ID: 09c24681a3414092fde50ec0f617c9f7c79e8a61
CPU threads: 8; OS: Linux 5.8; UI render: default; VCL: kf5
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 30 September 2020